GET /items/{プレイヤー識別子}
エンドポイント: GET /v1/pdapi/items/<player_identifier>
認証: ベアラートークン
許可: REST.Items.Read
目的
対象プレイヤーのアイテムを一覧表示します。応答内のアイテム識別子は、paldeck.cc/items で検索できます。
パスパラメータ
player_identifier: 対象プレイヤーのUserIdまたはPlayerUID。
クエリパラメータ
なし。
リクエストボディ
リクエスト本文がありません。
応答スキーマ
200 response schema
| Field | Type | Description |
|---|---|---|
Meta |
object | Target player metadata. |
Inventory |
object | Inventory containers for the target player. |
Meta object schema:
| Field | Type | Description |
|---|---|---|
PlayerUID |
string | Player UID used by Palworld save data. |
Player |
string | Player identifier supplied in the request path. |
Inventory object schema:
| Field | Type | Description |
|---|---|---|
Items |
object | Common inventory container. |
KeyItems |
object | Key item inventory container. |
Weapons |
object | Weapon loadout inventory container. |
Armor |
object | Armor inventory container. |
Food |
object | Food inventory container. |
DropSlot |
object | Drop slot inventory container. |
Inventory container object schema:
| Field | Type | Description |
|---|---|---|
Available |
boolean | Whether the container was available. |
ContainerID |
string | Palworld container ID, or an empty string when unavailable. |
UsedSlots |
integer | Number of occupied slots. |
MaxSlots |
integer | Total slot count. |
FreeSlots |
integer | Number of free slots. |
Slots |
object | Occupied slots keyed by slot index. |
Slots item schema:
| Field | Type | Description |
|---|---|---|
ItemID |
string | Palworld item identifier. |
Count |
integer | Stack count in the slot. |
エラー応答
エラー本体は次の形状を使用します。
| HTTP | エラーコード | それが起こったとき |
|---|---|---|
401 |
INVALID_TOKEN |
Authorization ヘッダーが欠落しているか、形式が不正であるか、構成されたベアラー トークンと一致しません。 |
403 |
MISSING_PERMISSION |
トークンは有効ですが、このエンドポイント権限が含まれていません。 |
400 |
INVALID_JSON |
リクエスト本文が指定されましたが、JSON として解析できませんでした。 |
400 |
REQUEST_FAILED |
ターゲット プレーヤー、プレーヤーの状態、インベントリ データ、または共通のインベントリ コンテナを解決できませんでした。 |
500 |
REQUEST_TIMEOUT |
内部ゲーム スレッド コールバックは 5 秒以内に完了しませんでした。 |
例
Steam プレーヤーのインベントリを読む
GDK プレーヤーのインベントリを読み取る
シナリオ
- 補償を与える前に在庫を確認してください。
- POST /give/items を使用する前に、
ItemIDを確認してください。 - 不足しているアイテムに関するレポートのトラブルシューティングを行います。